Get Active Theme

Get Active Theme

Get a description of a theme to be applied. The response contains relative URLs to each file comprising the theme in the requested flavor. All mandatory resources are included, even if the theme does not explicitly define such flavor(in which case the main flavor is used). To fetch each file, build a URL from filesRoot + files[i] and GET it. This resource is accessible without authentication.

Request
URI
GET
https://{api_host}/cloudapi/v1/themes/active/{orgName}/{flavor}
COPY
Path Parameters
string
orgName
Required

Resolve the active theme of the organization with the given name. If there is no such organization, or it is not assigned a dedicated theme, the default theme will be returned.

string
flavor
Required

Defines the flavor(light/dark, etc) in which to return the theme.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ThemeDescriptor of type(s) application/json;version=9.1.0
{
    "mainFlavor": "string",
    "portalName": "string",
    "filesRoot": "string",
    "files": {}
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"},{"type":"Classic"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/themes/active/{orgName}/{flavor}